<?php

namespace common\modules\product\models;

use Yii;

/**
 * This is the model class for table "category_name".
 *
 * @property integer $category_name_id
 * @property integer $category_id
 * @property string $value
 *
 * @property Category[] $categories
 * @property Category $category
 */
class CategoryName extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'category_name';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['category_id'], 'integer'],
            [['value'], 'string', 'max' => 250],
            [['category_id'], 'exist', 'skipOnError' => true, 'targetClass' => Category::className(), 'targetAttribute' => ['category_id' => 'category_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'category_name_id' => Yii::t('product', 'Category Name ID'),
            'category_id' => Yii::t('product', 'Category ID'),
            'value' => Yii::t('product', 'Value'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCategories()
    {
        return $this->hasMany(Category::className(), ['category_name_id' => 'category_name_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCategory()
    {
        return $this->hasOne(Category::className(), ['category_id' => 'category_id']);
    }
}
